# The IS-IS Intra-Domain Protocol

Further details of IS-IS configuration are currently described in a companion document (ISIS-config.ps) included in the gated distribution. A typical configuration may specify mode (dual, iso), system level, traceoptions, and circuits and their metrics.

IS-IS is a link state interior gateway protocol (IGP) originally developed for routing ISO/CLNP (International Organization for Standardization/Connectionless Network Protocol) packets. The version distributed with GateD can route IP packets as well. In ISO terminology a router is referred to as an "intermediate system" (IS). IS-IS intra-domain routing is organized hierarchically so that a large domain may be administratively divided into smaller areas using level 1 ISs within areas and level 2 ISs between areas. Routing between administrative domains is handled by Border Intermediate Systems (BISs) using IDRP, the inter-domain routing protocol. Level 1 systems route directly to systems within their own area and route toward a Level 2 Intermediate System when the destination system is in a different area. Level 2 Intermediate Systems route between areas and keep track of the paths to destination areas. Systems in the Level 2 subdomain route towards a destination area, or another routing domain. As with any internet routing protocol, IS-IS support for large routing domains may also include many types of individual subnetworks. These subnetworks may include point-to-point links, multipoint links, dynalically established data links as in X.25 subnetworks and broadcast subnetworks like ISO 8802 LANs.

In IS-IS all subnetwork types are treated by the subnetwork independent functions as though they were connectionless subnetworks using subnetwork convergence functions where necessary. Like OSPF, IS-IS uses a "shortest-path first" algorithm to determine routes. A congestion control component monitors and prevents buffer deadlock at each intermediate system. GateD configuration syntax allows as much autoconfiguration as possible reducing the probability of error. This integration also allows the ability to specify policy for exchanging routing information with other protocols running in GateD, such as BGP, EGP, RIP and IDRP. The new IS-IS protocol supports multipath (load-split) forwarding and full injection of exterior network prefixes and attribute information with the goal of eliminating the need for any internal BGP or similar protocols. IS-IS supports static routing domain information at level 2 ISs.

The reachable address prefix indicates that any Network Service Access Points (NSAPs) which match the prefix may be reachable via the Subnet Point of Attachment (SNPA) with which the prefix is associated. Where the subnetwork to which this SNPA is connected is a general topology subnetwork supporting dynamically established data links, the prefix also has associated with it the required subnetwork addressing information, or an indication that it may be derived from the destination NSAP address. The address prefixes are handled by the Level 2 routing algorithm in the same way information about Level 1 is handled within the domain.

## The IS-IS Statement

        isis no | dual | ip | iso {
            level 1|2 ;
            [traceoptions <isis_traceoptions> ;]
            [systemid <6_digit_hexstring> ;]
            [area <hexstring> ;]
            [set <isis_parm> <value> ; ... ]
            circuit <string>
                metric [level 1|2] <1..63>
                ...
                priority [level 1|2] <0..127>
                ...
                ;
            ...
        } ;

This statement enables the IS-IS protocol in GateD. By default IS-IS is disabled. The `dual` option specifies that the IS-IS protocol is enabled for both ISO and IP addressing. The `isis` statement consists of an initial description of the IS and a list of statements that determine the configuration of the specific circuits and networks to be managed. Statements may appear in any order and include:

level
  Indicates whether gated is running on a Level 1 (intra-area) or Level 2 (inter-area) IS. The default is Level 1.
traceoptions
  are covered in the Trace Options section below.
systemid
  Overrides the autoconfigured system ID (determined from interface addresses and corresponding netmasks.) If no system identifier is specified, the system ID portion of the first real circuit's NSAP is used. Once a system ID is set, it cannot be changed without disabling and reenabling all of IS-IS.
area
  IS-IS area addresses are automatically configured based on the real circuits over which IS-IS runs. Addresses specified in this statement are maintained in addition to those configured automatically from the circuits. This command is used primarily for simulation.
circuit
  Each `circuit` statement specifies one of the circuits the system will manage. Circuits normally correspond to UNIX interfaces, with `string` being the interface name, but simulated device names may also be specified. If the string is in the form of "simN", where N is an integer, the circuit is assumed to be a simulated circuit managed by the network simulator troll. The circuit attributes are a list of options that may appear in any order in the circuit statement.
metric
  Allows specifications of Level 1 and Level 2 metrics for each circuit. Only the default metric type is supported. IS-IS metrics must be in the range 1 to 63. If no metric is set for the circuit, the default value is 63.
priority
  Determines designated router election results; higher values give a higher likelihood of becoming the designated router. The level defaults to Level 1. If no priority is specified, priority is set to a random value between 0 and 127.

  On a level 2 IS, to configure a circuit with a Level 1 metric of 10 and a Level 2 metric of 20, add two metric options to the circuit statement.

The default Level is 1 : the default metric is 63. The default preference for IS-IS Level 1 is 15 for IS-IS Level 2 is 18.

## Tracing options

IS-IS configuration is most thoroughly described in a companion document (ISIS-config.ps) included in the GateD distribution. Traceoptions can be one or more of the following:

`all`
`iih`
`lanadj`
`p2padj`
`lspdb`
`lspcontent`
`lspinput`
`flooding`
`buildlsp`
`csnp`
`psnp`
`route`
`update`
`paths`
`spf`
`events`

Last updated 1994/03/16 21:38:29.